Bug 44531 - [Generator] new error CS0533: $(CHILD) hides inherited abstract member from $(PARENT)
Summary: [Generator] new error CS0533: $(CHILD) hides inherited abstract member from $...
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Bindings (show other bugs)
Version: 7.1 (C9)
Hardware: Macintosh Mac OS
: High major
Target Milestone: 7.1 (C9)
Assignee: Atsushi Eno
URL:
Depends on:
Blocks:
 
Reported: 2016-09-20 17:38 UTC by Peter Collins
Modified: 2016-11-17 15:23 UTC (History)
3 users (show)

Tags: XATriaged
Is this bug a regression?: Yes
Last known good build: cycle8


Attachments

Description Peter Collins 2016-09-20 17:38:59 UTC
The NineOldAndroids[0] binding project fails to compile with class-parse enabled, as shown below. This same project compiles and runs against cycle8 based builds which use jar2xml.

> obj/Debug/generated/src/Xamarin.NineOldAndroids.Animations.Keyframe.cs(153,92): error CS0533: `Xamarin.NineOldAndroids.Animations.Keyframe.FloatKeyframe.Clone()' hides inherited abstract member `Xamarin.NineOldAndroids.Animations.Keyframe.Clone()'
> obj/Debug/generated/src/Xamarin.NineOldAndroids.Animations.Keyframe.cs(311,90): error CS0533: `Xamarin.NineOldAndroids.Animations.Keyframe.IntKeyframe.Clone()' hides inherited abstract member `Xamarin.NineOldAndroids.Animations.Keyframe.Clone()'
> obj/Debug/generated/src/Xamarin.NineOldAndroids.Animations.Keyframe.cs(435,93): error CS0533: `Xamarin.NineOldAndroids.Animations.Keyframe.ObjectKeyframe.Clone()' hides inherited abstract member `Xamarin.NineOldAndroids.Animations.Keyframe.Clone()'
[0] https://github.com/xamarin/monodroid-samples/tree/master/NineOldAndroids

##### Supplemental Info #####
Log File #1:	http://xqa.blob.core.windows.net/gist/log-32612001223b470883268056d8ec5cf8.txt

##### Environment #####
Operating System: Mac OS X 10.10.5
Repo Name: monodroid.git
Branch Name: master
Build Revision: ab8f5949bf6f54ce79266ca54fe94045710c0fe6
Comment 1 Atsushi Eno 2016-09-22 06:54:52 UTC
It is indeed class-parse+api-xml-adjuster issue. Built fine with `xbuild /p:AndroidClassParser=jar2xml` on master.
Comment 2 Atsushi Eno 2016-10-11 08:13:22 UTC
https://github.com/xamarin/java.interop/pull/94 should fix it.
Comment 3 Atsushi Eno 2016-11-04 08:26:29 UTC
It was already merged.
Comment 4 Naqeeb 2016-11-17 15:23:54 UTC
*****Reproduce Status*****

I have checked this issue with build xamarin.android-7.0.99-86_ab8f5949bf6f54ce79266ca54fe94045710c0fe6 and getting same behaviour. Here is the screencast for the same: http://www.screencast.com/t/Yw1oqhfhm

*****Verified Status*****
I have checked this issue with latest C9 build and observed that it is working fine. Here is the screencast for the same: http://www.screencast.com/t/tEUjmA5mG

Environment info: https://gist.github.com/NaqeebAnsari/23e452af6eb96ffe9a806aa3505fe21d

Hence closing this issue.

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 44531 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: